function createWFTable(query_url, query_paramstring, id) {
  
	var myDataSource = new YAHOO.util.DataSource(query_url + '?'); 
	 
	// Set the responseType as XML 
	myDataSource.responseType = YAHOO.util.DataSource.TYPE_XML; 
		 
	// Define the dashboard data schema 
	myDataSource.responseSchema = { 
	    resultNode: ["item"], // Node name of each result item 
	    fields: ["TIME_FIRST", "MERGED_EVTS", "UNMERGED_EVTS", "WORKFLOW","TIME_PER_EVENT", "DATASET", "TIME_LAST"] // Field names 
	}; 
		
	var myColumnDefs = [ 
		{key:"WORKFLOW", label:"Workflow", sortable:true},
		{key:"MERGED_EVTS", label:"Merged (evts)", sortable:true},
	 	{key:"UNMERGED_EVTS", label:"Unmerged (evts)", sortable:true}, 
	  	{key:"TIME_LAST", label:"Last active", sortable:true},
	    {key:"TIME_FIRST", label:"First active", sortable:true}, 
 		{key:"TIME_PER_EVENT", label:"Time per event", sortable:true}, 
	    {key:"DATASET", label:"Dataset", sortable:true}
	]; 
		
	var myColumnSet = new YAHOO.widget.ColumnSet(myColumnDefs);

    var config = {
    	initialRequest: query_paramstring,
        paginator : new YAHOO.widget.Paginator({ 
            rowsPerPage    : 50,
            rowsPerPageOptions : [10,25,50,100],
            template       : "{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} Show {RowsPerPageDropdown} per page",
             
        })
    }

	var myDataTable = new YAHOO.widget.DataTable(id, myColumnSet, myDataSource, config);
	
	// Enables standard row selection
	//myDataTable.set("selectionMode","single"); 
	myDataTable.subscribe("rowClickEvent", myDataTable.onEventSelectRow); 
}